Bug 250465 - mail/alpine: fix distinfo maildir.patch
Summary: mail/alpine: fix distinfo maildir.patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Cochard
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-19 16:23 UTC by Freddy DISSAUX
Modified: 2020-10-25 16:56 UTC (History)
2 users (show)

See Also:
mbeis: maintainer-feedback+


Attachments
fix distinfo for maildir.patch (555 bytes, patch)
2020-10-19 16:23 UTC, Freddy DISSAUX
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Freddy DISSAUX 2020-10-19 16:23:13 UTC
Created attachment 218893 [details]
fix distinfo for maildir.patch

# cd /usr/ports
# cd mail/alpine
# make fetch
===>  License APACHE20 accepted by the user
===>   alpine-2.24 depends on file: /usr/local/sbin/pkg - found
=> alpine-2.24.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://repo.or.cz/alpine.git/snapshot/3165f59b344fb4d56d161541f294754d56bcb372.tar.gz?dummy=/alpine-2.24.tar.gz
fetch: https://repo.or.cz/alpine.git/snapshot/3165f59b344fb4d56d161541f294754d56bcb372.tar.gz?dummy=/alpine-2.24.tar.gz: size unknown
fetch: https://repo.or.cz/alpine.git/snapshot/3165f59b344fb4d56d161541f294754d56bcb372.tar.gz?dummy=/alpine-2.24.tar.gz: size of remote file is not known
alpine-2.24.tar.gz                                      21 MB 3950 kBps    06s
=> maildir.patch.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://alpine.x10host.com/alpine/patches/alpine-2.24/maildir.patch.gz
fetch: http://alpine.x10host.com/alpine/patches/alpine-2.24/maildir.patch.gz: size mismatch: expected 34018, actual 33859
Comment 1 Marco Beishuizen 2020-10-24 13:37:45 UTC
Comment on attachment 218893 [details]
fix distinfo for maildir.patch

Approving the patch doesn't seem to be working, but I'm ok with it.
Comment 2 commit-hook freebsd_committer 2020-10-25 16:55:01 UTC
A commit references this bug:

Author: olivier
Date: Sun Oct 25 16:54:51 UTC 2020
New revision: 553273
URL: https://svnweb.freebsd.org/changeset/ports/553273

Log:
  Fix distinfo for maildir.patch.

  PR:		250465
  Submitted by:	Freddy Dissaux <dsx@bsdsx.fr>
  Approved by:	Marco Beishuizen <mbeis@xs4all.nl> (maintainer)

Changes:
  head/mail/alpine/distinfo
Comment 3 Olivier Cochard freebsd_committer 2020-10-25 16:56:30 UTC
Thanks!